﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.IO;
using System.Windows.Media.Imaging;

namespace SilverlightApplication2
{
	public class MainPageViewModel
	{
		private ObservableCollection<ExplorerItem> items;
		private ExplorerItem root;

		public MainPageViewModel()
		{
			this.items = new ObservableCollection<ExplorerItem>();

			this.LoadItems();
		}

		public ObservableCollection<ExplorerItem> Items
		{
			get
			{
				return this.items;
			}
		}

		public ExplorerItem Root
		{
			get
			{
				return root;
			}
			set
			{
				root = value;
			}
		}

		private void LoadItems()
		{
			ImageSourceConverter isc = new ImageSourceConverter();

			ExplorerItem localHard = new ExplorerItem()
			{
				Header = "Local Disk (C:)",
				Path = "LocalDisk(C:)",
				IconPath = (ImageSource)isc.ConvertFromString("Images/HardDrive16.png"),
			};

			ExplorerItem localHard2 = new ExplorerItem()
			{

				Header = "Local Disk (D:)",
				Path = "LocalDisk(D:)",
				IconPath = (ImageSource)isc.ConvertFromString("Images/folder.png")
			};

			ExplorerItem computer = new ExplorerItem()
			{

				Header = "Computer",
				Path = "Computer",
				IconPath = (ImageSource)isc.ConvertFromString("Images/Computer.png"),
				Children = new ObservableCollection<ExplorerItem>()
				{
					localHard,
					localHard2
				}
			};

			this.Root = new ExplorerItem()
			{
				Header = "Desktop",
				Path = "Desktop",
				IconPath = (ImageSource)isc.ConvertFromString("Images/Desktop.png"),
				Children = new ObservableCollection<ExplorerItem>()
				{
					computer,
				}
			};

			this.items = new ObservableCollection<ExplorerItem>() { this.Root };
		}
	}
}
